petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPBCGSLSetEll

Sets the number of search directions in BiCGStab(L).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPBCGSLSetEll(KSP ksp, PetscInt ell)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate Many br
| ell | - number of search directions Many br

### Options Database Keys

-ksp_bcgsl_ell ell - Many br Many br

### Notes

For large ell it is common for the polynomial update problem to become singular (due to happy breakdown for smallish Many brtest problems, but also for larger problems). Consequently, by default, the system is solved by pseudoinverse, which Many brallows the iteration to complete successfully. See KSPBCGSLSetUsePseudoinverse() to switch to a conventional solve. Many br

### Keywords

KSP, BiCGStab(L), set, exact residuals,

### See Also

KSPBCGSLSetUsePseudoinverse()

Level:intermediate
Location:src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages